Package io.dapr.client

# Enum DaprHttp.HttpMethods

java.lang.Object
java.lang.Enum<DaprHttp.HttpMethods>
io.dapr.client.DaprHttp.HttpMethods

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DaprHttp.HttpMethods>`, `java.lang.constant.Constable`

Enclosing class:
  DaprHttp

    public static enum DaprHttp.HttpMethods
    extends java.lang.Enum<DaprHttp.HttpMethods>

HTTP Methods supported.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CONNECT` |
  `DELETE` |
  `GET` |
  `HEAD` |
  `NONE` |
  `OPTIONS` |
  `POST` |
  `PUT` |
  `TRACE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static DaprHttp.HttpMethods` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static DaprHttp.HttpMethods[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DaprHttp.HttpMethods NONE

  - ### GET

    public static final DaprHttp.HttpMethods GET

  - ### PUT

    public static final DaprHttp.HttpMethods PUT

  - ### POST

    public static final DaprHttp.HttpMethods POST

  - ### DELETE

    public static final DaprHttp.HttpMethods DELETE

  - ### HEAD

    public static final DaprHttp.HttpMethods HEAD

  - ### CONNECT

    public static final DaprHttp.HttpMethods CONNECT

  - ### OPTIONS

    public static final DaprHttp.HttpMethods OPTIONS

  - ### TRACE

    public static final DaprHttp.HttpMethods TRACE

- ## Method Details

  - ### values

    public static DaprHttp.HttpMethods[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DaprHttp.HttpMethods valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null